#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x133c4d5f, "module_layout" },
	{ 0xf351e3d6, "nft_unregister_expr" },
	{ 0xe416025e, "nft_register_expr" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcba6c087, "__do_once_done" },
	{ 0x3283e6b0, "prandom_seed_full_state" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7c6525ad, "nft_parse_register_store" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0xf70cf44a, "nla_put" },
	{ 0xa8f1b029, "nft_dump_register" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nf_tables";


MODULE_INFO(srcversion, "D973707C283DE30ED91E713");
